Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 11086)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 11087)
@@ -62,29 +62,26 @@
 $lang['llgbo_M_header'] = 'Zarządzanie wyświetlaniem nagłówka';
 $lang['llgbo_header_home'] = 'Wyświetlaj nagłówek na stronie głównej';
-
-/*todo*/
-// missing translations
-$lang['llgbo_header_category'] = 'Display header on Category page';
-$lang['llgbo_header_category_filter_recent'] = 'Display header on Category page (filter by recent)';
-$lang['llgbo_header_category_flat'] = 'Display header on Category page (option flat)';
-$lang['llgbo_header_category_posted_monthly'] = 'Display header on Category page option calendar';
-$lang['llgbo_header_picture'] = 'Display header on Picture page';
-$lang['llgbo_header_additional_page'] = 'Display header on Additional pages';
-$lang['llgbo_header_most_visited'] = 'Display header on Most visited page';
-$lang['llgbo_header_best_rated'] = 'Display header on Best rated page';
-$lang['llgbo_header_list'] = 'Display header on Random pictures page';
-$lang['llgbo_header_recent_pics'] = 'Display header on Recents pictures page';
-$lang['llgbo_header_created_monthly_calendar'] = 'Display header on Calendar page';
-$lang['llgbo_header_tags'] = 'Display header on Tags page';
-$lang['llgbo_header_search'] = 'Display header on Search page';
-$lang['llgbo_header_comments'] = 'Display header on Comments page';
-$lang['llgbo_header_about'] = 'Display header on About page';
-$lang['llgbo_header_notification'] = 'Display header on Notification page';
-$lang['llgbo_header_register'] = 'Display header on Register page';
-$lang['llgbo_header_identification'] = 'Display header on identification page';
-$lang['llgbo_header_favorites'] = 'Display header on My Favorites page';
-$lang['llgbo_header_recent_cats'] = 'Display header on Recent category page';
-$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
-$lang['llgbo_hdShadowbox'] = 'Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
+$lang['llgbo_header_category'] = 'Wyświetlaj nagłówek na stronie kategorii';
+$lang['llgbo_header_category_filter_recent'] = 'Wyświetlaj nagłówek na stronie kategorii (sortowanych po dacie dodania)';
+$lang['llgbo_header_category_flat'] = 'Wyświetlaj nagłówek na stronie kategorii (opcja zwykła)';
+$lang['llgbo_header_category_posted_monthly'] = 'Wyświetlaj nagłówek na stronie kategorii (opcja z kalendarzem)';
+$lang['llgbo_header_picture'] = 'Wyświetlaj nagłówek na stronie ze zdjęciem';
+$lang['llgbo_header_additional_page'] = 'Wyświetlaj nagłówek na dodatkowych stronach';
+$lang['llgbo_header_most_visited'] = 'Wyświetlaj nagłówek na stronie -Najczęściej odwiedzane-';
+$lang['llgbo_header_best_rated'] = 'Wyświetlaj nagłówek na stronie -Najlepiej oceniane-';
+$lang['llgbo_header_list'] = 'Wyświetlaj nagłówek na stronie losowych zdjęć';
+$lang['llgbo_header_recent_pics'] = 'Wyświetlaj nagłówek na stronie -Ostatnio dodane-';
+$lang['llgbo_header_created_monthly_calendar'] = 'Wyświetlaj nagłówek na stronie z kalendarzem';
+$lang['llgbo_header_tags'] = 'Wyświetlaj nagłówek na stronie z tagami';
+$lang['llgbo_header_search'] = 'Wyświetlaj nagłówek na stronie z wyszukiwarką';
+$lang['llgbo_header_comments'] = 'Wyświetlaj nagłówek na stronie z komentarzami';
+$lang['llgbo_header_about'] = 'Wyświetlaj nagłówek na stronie -O Piwigo-';
+$lang['llgbo_header_notification'] = 'Wyświetlaj nagłówek na stronie z powiadomieniem';
+$lang['llgbo_header_register'] = 'Wyświetlaj nagłówek na stronie rejestracyjnej';
+$lang['llgbo_header_identification'] = 'Wyświetlaj nagłówek na stronie identyfikacyjnej';
+$lang['llgbo_header_favorites'] = 'Wyświetlaj nagłówek w Moich Ulubionych';
+$lang['llgbo_header_recent_cats'] = 'DWyświetlaj nagłówek na stronie ostatnio dodanych galerii';
+$lang['llgo_warning_setting'] = 'Aby mógł używać ze skórką Gally, musisz zainstalować wtyczkę cl_conflit';
+$lang['llgbo_hdShadowbox'] = 'Wymuś HD Shadowbox i strzałki nawigacji na zdjęciu. HD Shadowbox musi być aktywne!';
 
 ?>