Index: /extensions/set_plugins/admin.tpl
===================================================================
--- /extensions/set_plugins/admin.tpl	(revision 11099)
+++ /extensions/set_plugins/admin.tpl	(revision 11100)
@@ -9,11 +9,74 @@
 <input name="set_plugins" type="submit" value="{'Activate'|@translate}" />
 <input name="nb" type="text" value="{$nb}" /> 
+  </form>
 
-{$state}
-{foreach from=$liste item=plugin version=version}
-<br />{$plugin.plugin}
-{$plugin.version}
+
+
+{if isset($liste_plugins)}
+
+{foreach from=$plugin_states item=plugin_state}
+{if $plugin_state==$state}
+
+  <fieldset>
+    <legend>
+      {if $plugin_state == 'active'} {'Last '|@translate} {'Active Plugins'|@translate}
+      {elseif $plugin_state == 'inactive'} {'Last '|@translate} {'Inactive Plugins'|@translate}
+      {/if}
+    </legend>
+    {foreach from=$liste_plugins item=plugin name=plugins_loop}
+      {if $plugin.STATE == $plugin_state}
+    <div class="pluginBox">
+      <table>
+        <tr>
+          <td class="pluginBoxNameCell{if $plugin.INCOMPATIBLE} warning" title="{'WARNING! This plugin does not seem to be compatible with this version of Piwigo.'|@translate|@escape:'html'}{/if}">
+            {$plugin.NAME}
+          </td>
+          <td>{$plugin.DESC}</td>
+        </tr>
+        <tr>
+          <td>
+      {if $plugin.STATE == 'active'}
+            <a href="{$plugin.U_ACTION}&amp;action=deactivate">{'Deactivate'|@translate}</a>
+
+      {elseif $plugin_state == 'inactive'}
+            <a href="{$plugin.U_ACTION}&amp;action=activate" {if $plugin.INCOMPATIBLE}class="incompatible"{/if}>{'Activate'|@translate}</a>
+            | <a href="{$plugin.U_ACTION}&amp;action=uninstall" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Uninstall'|@translate}</a>
+
+      {elseif $plugin_state == 'uninstalled'}
+            <a href="{$plugin.U_ACTION}&amp;action=install">{'Install'|@translate}</a>
+            | <a href="{$plugin.U_ACTION}&amp;action=delete" onclick="return confirm('{'Are you sure you want to delete this plugin?'|@translate|@escape:'javascript'}');">{'Delete'|@translate}</a>
+
+      {elseif $plugin_state == 'missing'}
+            <a href="{$plugin.U_ACTION}&amp;action=uninstall" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Uninstall'|@translate}</a>
+
+      {elseif $plugin_state == 'merged'}
+            <a href="{$plugin.U_ACTION}&amp;action=delete">{'Delete'|@translate}</a>
+      {/if}
+          </td>
+          <td>
+            {'Version'|@translate} {$plugin.VERSION}
+      {if not empty($plugin.AUTHOR)}
+        {if not empty($plugin.AUTHOR_URL)}
+          {assign var='author' value='<a href="%s">%s</a>'|@sprintf:$plugin.AUTHOR_URL:$plugin.AUTHOR}
+        {else}
+          {assign var='author' value=$plugin.AUTHOR}
+        {/if}
+            | {'By %s'|@translate|@sprintf:$author}
+      {/if}
+
+      {if not empty($plugin.VISIT_URL)}
+            | <a class="externalLink" href="{$plugin.VISIT_URL}">{'Visit plugin site'|@translate}</a>
+      {/if}
+          </td>
+        </tr>
+      </table>
+    </div>
+      {/if}
+    {/foreach}
+  </fieldset>
+{/if}
 {/foreach}
-  </form>
+
+{/if}
+
 </fieldset>
-
Index: /extensions/set_plugins/include/affiche.php
===================================================================
--- /extensions/set_plugins/include/affiche.php	(revision 11099)
+++ /extensions/set_plugins/include/affiche.php	(revision 11100)
@@ -20,9 +20,8 @@
 
 
-                   $template->assign( array( 
+  $template->assign( array( 
                    'nb' => isset($_POST['nb'])?$_POST['nb']:$nb,
                    'state' => $state ,
-                        'set' => $set,
-                        'liste' => $liste,
+                        'set' => $set,                      
                         'cl_plugins' => $cl_set_plugins_plugin ,
                         'cl_version' => $cl_set_plugins_plugin['version'] ,
@@ -30,4 +29,75 @@
                         'Version_pwg' => PHPWG_VERSION
 											)
-									);	        
+									);	         
+                  
+            $plugins = new plugins();
+            $plugins->sort_fs_plugins('name');
+            $plugins->get_merged_extensions();
+            $plugins->get_incompatible_plugins();
+            $merged_plugins = false;
+
+            $redirect_url = get_root_url().'admin.php?page='.$_GET['page'];
+            $base_url = get_root_url().'admin.php?page='.$page['page'];
+            $action_url = $base_url.'&amp;plugin='.'%s'.'&amp;pwg_token='.get_pwg_token();
+ //=======================================================
+
+
+
+$liste_plugins = array();
+foreach($liste as $liste_id => $liste_plugin) {
+    $liste_plugins[]=   $liste_plugin['plugin'] ;
+}
+
+$liste_tpl=array();
+//==========================================================
+foreach($plugins->fs_plugins as $plugin_id => $fs_plugin) {
+     
+    $key = array_search($plugin_id, $liste_plugins,false); 
+
+    if ($key!== false){
+    $key = array_search($plugin_id, $liste_plugins); 
+
+      $tpl_plugin = array(
+        'NAME' => $fs_plugin['name'],
+        'VISIT_URL' => $fs_plugin['uri'],
+        'VERSION' => $fs_plugin['version'],
+        'DESC' => $fs_plugin['description'],
+        'AUTHOR' => $fs_plugin['author'],
+        'AUTHOR_URL' => @$fs_plugin['author uri'],
+        'U_ACTION' => sprintf($action_url, $plugin_id),
+        'INCOMPATIBLE' => isset($_SESSION['incompatible_plugins'][$plugin_id]),
+        );
+
+      if (isset($plugins->db_plugins_by_id[$plugin_id]))
+      {
+        $tpl_plugin['STATE'] = $plugins->db_plugins_by_id[$plugin_id]['state'];
+      }
+      else
+      {
+        $tpl_plugin['STATE'] = 'uninstalled';
+      }
+
+      if (isset($fs_plugin['extension']) and in_array($fs_plugin['extension'], $_SESSION['merged_extensions']))
+      {
+        switch($tpl_plugin['STATE'])
+        {
+          case 'active': $plugins->perform_action('deactivate', $plugin_id);
+          case 'inactive': $plugins->perform_action('uninstall', $plugin_id);
+        }
+        $tpl_plugin['STATE'] = 'merged';
+        $tpl_plugin['DESC'] = l10n('THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.');
+        $merged_plugins = true;
+      }
+    
+ // $template->append('plugins', $tpl_plugin);
+$liste_tpl[]=  $tpl_plugin ;
+  }
+}           
+                    $template->assign( array( 
+                                'liste_plugins' => $liste_tpl
+                         
+											)
+									);	         
+   
+//==========================================================================================
 ?>
Index: /extensions/set_plugins/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/set_plugins/language/en_UK/plugin.lang.php	(revision 11099)
+++ /extensions/set_plugins/language/en_UK/plugin.lang.php	(revision 11100)
@@ -2,4 +2,4 @@
 $lang['set_plugins']="set / unset plugins";
 $lang['command']="command";
-$lang['rdv']="rendez vous dans l'onglet Gerer";
+$lang['Last ']="Last";
 ?>
Index: /extensions/set_plugins/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/set_plugins/language/fr_FR/plugin.lang.php	(revision 11099)
+++ /extensions/set_plugins/language/fr_FR/plugin.lang.php	(revision 11100)
@@ -2,4 +2,5 @@
 $lang['set_plugins']="active / déactive les plugins";
 $lang['command']="commande";
-$lang['rdv']="rendez vous dans l'onglet Gerer";
+
+$lang['Last ']="Derniers";
 ?>
Index: /extensions/set_plugins/main.inc.php
===================================================================
--- /extensions/set_plugins/main.inc.php	(revision 11099)
+++ /extensions/set_plugins/main.inc.php	(revision 11100)
@@ -1,5 +1,5 @@
 <?php 
 /*
-Version: auto
+Version: 1.0.3
 Plugin Name: set_plugins
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=550