Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 11107)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 11108)
@@ -83,6 +83,6 @@
 $lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
 $lang['Reset_To_Default'] = 'Reset to default values';
-/*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
-/*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
-/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
+$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
+$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/sv_SE/plugin.lang.php	(revision 11107)
+++ /extensions/LLGBO2/language/sv_SE/plugin.lang.php	(revision 11108)
@@ -35,56 +35,54 @@
 $lang['llgo_frame_setting']= 'Raninställningar:' ;
 $lang['llgbo_title_frame_color']= 'Färg på titeln som visas på ramen'; 
+$lang['llgbo_frame_bdcolor0'] = 'Rad 1 färg: ';
+$lang['llgbo_frame_bdcolor1'] = 'Rad 2 färg: ';
+$lang['llgbo_frame_bdcolor2'] = 'Rad 3 färg:: ';
+$lang['llgbo_frame_bdcolor3'] = 'Rad 4 färg:: ';
+$lang['llgbo_frame_bdcolor4'] = 'Rad 5 färg: ';
+$lang['llgbo_frame_bdcolor5'] = 'Rad 6 färg: ';
+$lang['llgbo_frame_bdcolor6'] = 'Rad 7 färg: ';
+$lang['llgbo_frame_bdcolor7'] = 'Rad 8 färg: ';
+$lang['llgbo_frame_bdcolor8'] = 'Rad 9 färg:';
+$lang['llgbo_frame_bdcolor9'] = 'Rad 10 färg:';
+$lang['llgbo_frame_bdcolor10'] = 'Rad 11 färg: ';
+$lang['llgbo_frame_bdcolor11'] = 'Rad 12 färg: ';
+$lang['llgbo_frame_bdcolor12'] = 'Rad 13 färg: ';
+$lang['llgbo_frame_bdcolor13'] = 'Rad 14 färg:: ';
+$lang['llgbo_frame_bdcolor14'] = 'Rad 15 färg: ';
+$lang['llgbo_frame_bdcolor15'] = 'Rad 16 färg: ';
+$lang['llgbo_frame_bdsize'] = 'Bredd:';
+$lang['llgbo_M_frame'] = 'Ramhantering';
+$lang['llgbo_M_tooltip'] = 'Tooltip hantering';
+$lang['llgbo_M_manage'] = 'Globala inställningar';
+$lang['llgbo_samples'] = 'Exempel: ';
+$lang['llgbo_M_header'] = 'Rubrikhantering';
+$lang['llgbo_header_home'] = 'Visa rubrik på Hemsidan';
+$lang['llgbo_header_category'] = 'Visa rubrik på Kategorisidan';
+$lang['llgbo_header_category_filter_recent'] = 'Visa rubrik på Kategori (filtrera nya)';
+$lang['llgbo_header_category_flat'] = 'Visa rubrik på Kategorisidan (val platt)';
+$lang['llgbo_header_category_posted_monthly'] = 'Visa rubrik på Kategorisidan, val kalender';
+$lang['llgbo_header_picture'] = 'Visa rubrik på Bildsidan';
+$lang['llgbo_header_additional_page'] = 'Visa rubrik på ytterligare sidor';
+$lang['llgbo_header_most_visited'] = 'Visa rubrik på – Flest besöksidan';
+$lang['llgbo_header_best_rated'] = 'Visa rubrik på – Bäst rankadesidan';
+$lang['llgbo_header_list'] = 'Visa rubrik på – Sidan med Slumpvist valda bilder';
+$lang['llgbo_header_recent_pics'] = 'Visa rubrik på – Sidan nyligen visade bilder';
+$lang['llgbo_header_created_monthly_calendar'] = ' Visa rubrik på - Kalendersidan';
+$lang['llgbo_header_tags'] = ' Visa rubrik på – Sidan med markerade bilder';
+$lang['llgbo_header_search'] = ' Visa rubrik på - Söksidan';
+$lang['llgbo_header_comments'] = ' Visa rubrik på - Kommentarsidane';
+$lang['llgbo_header_about'] = ' Visa rubrik på - Omsidan';
+$lang['llgbo_header_notification'] = ' Visa rubrik på - Notifieringssidan';
+$lang['llgbo_header_register'] = ' Visa rubrik på - Registeringssidan';
+$lang['llgbo_header_identification'] = ' Visa rubrik på - Indetifikationssidan';
+$lang['llgbo_header_favorites'] = ' Visa rubrik på – Mina favoritersidan';
+$lang['llgbo_header_recent_cats'] = ' Visa rubrik på – Sidan, senast visade Kategori';
+$lang['llgbo_frame_sample'] = 'Exempellista ';
+$lang['previewsamples'] = 'Visa detta exempel';
+$lang['llgbo_always_displayexif'] = 'Visa alltid METADATA:';
+$lang['Reset_To_Default'] = 'Återställ standardvärden';
+$lang['llgo_warning_setting'] = 'för att använda galleriteman, måste plugin cl_conflit vara installerad';
+$lang['llgbo_hdShadowbox'] = 'Compliance HD Shadowbox och bildnavigation. <br> HDShadowbox måste vara aktiverad!';
+$lang['llgbo_dispinshadowbox'] = 'Visa i shadowbox --> '; 
 
-/*todo*/
-// missing translations
-$lang['llgbo_frame_bdcolor0'] = 'Line 1 color: ';
-$lang['llgbo_frame_bdcolor1'] = 'Line 2 color: ';
-$lang['llgbo_frame_bdcolor2'] = 'Line 3 color: ';
-$lang['llgbo_frame_bdcolor3'] = 'Line 4 color: ';
-$lang['llgbo_frame_bdcolor4'] = 'Line 5 color: ';
-$lang['llgbo_frame_bdcolor5'] = 'Line 6 color: ';
-$lang['llgbo_frame_bdcolor6'] = 'Line 7 color: ';
-$lang['llgbo_frame_bdcolor7'] = 'Line 8 color: ';
-$lang['llgbo_frame_bdcolor8'] = 'Line 9 color: ';
-$lang['llgbo_frame_bdcolor9'] = 'Line 10 color:';
-$lang['llgbo_frame_bdcolor10'] = 'Line 11 color: ';
-$lang['llgbo_frame_bdcolor11'] = 'Line 12 color: ';
-$lang['llgbo_frame_bdcolor12'] = 'Line 13 color: ';
-$lang['llgbo_frame_bdcolor13'] = 'Line 14 color: ';
-$lang['llgbo_frame_bdcolor14'] = 'Line 15 color: ';
-$lang['llgbo_frame_bdcolor15'] = 'Line 16 color: ';
-$lang['llgbo_frame_bdsize'] = 'width:';
-$lang['llgbo_M_frame'] = 'Frame management';
-$lang['llgbo_M_tooltip'] = 'Tooltip management';
-$lang['llgbo_M_manage'] = 'Global settings';
-$lang['llgbo_samples'] = 'Samples: ';
-$lang['llgbo_M_header'] = 'Header display management';
-$lang['llgbo_header_home'] = 'Display header on Home page';
-$lang['llgbo_header_category'] = 'Display header on Category page';
-$lang['llgbo_header_category_filter_recent'] = 'Display header on Category page (filter by recent)';
-$lang['llgbo_header_category_flat'] = 'Display header on Category page (option flat)';
-$lang['llgbo_header_category_posted_monthly'] = 'Display header on Category page option calendar';
-$lang['llgbo_header_picture'] = 'Display header on Picture page';
-$lang['llgbo_header_additional_page'] = 'Display header on Additional pages';
-$lang['llgbo_header_most_visited'] = 'Display header on Most visited page';
-$lang['llgbo_header_best_rated'] = 'Display header on Best rated page';
-$lang['llgbo_header_list'] = 'Display header on Random pictures page';
-$lang['llgbo_header_recent_pics'] = 'Display header on Recents pictures page';
-$lang['llgbo_header_created_monthly_calendar'] = 'Display header on Calendar page';
-$lang['llgbo_header_tags'] = 'Display header on Tags page';
-$lang['llgbo_header_search'] = 'Display header on Search page';
-$lang['llgbo_header_comments'] = 'Display header on Comments page';
-$lang['llgbo_header_about'] = 'Display header on About page';
-$lang['llgbo_header_notification'] = 'Display header on Notification page';
-$lang['llgbo_header_register'] = 'Display header on Register page';
-$lang['llgbo_header_identification'] = 'Display header on identification page';
-$lang['llgbo_header_favorites'] = 'Display header on My Favorites page';
-$lang['llgbo_header_recent_cats'] = 'Display header on Recent category page';
-$lang['llgbo_frame_sample'] = 'Samples list ';
-$lang['previewsamples'] = 'Display this sample';
-$lang['llgbo_always_displayexif'] = 'Always display METADATA:';
-$lang['Reset_To_Default'] = 'Reset to default values';
-$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
-$lang['llgbo_hdShadowbox'] = 'Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
-$lang['llgbo_dispinshadowbox'] = 'Display in shadowbox --> ';
 ?>