Index: branches/2.2/language/es_ES/admin.lang.php
===================================================================
--- branches/2.2/language/es_ES/admin.lang.php	(revision 10902)
+++ branches/2.2/language/es_ES/admin.lang.php	(revision 11144)
@@ -238,9 +238,9 @@
 $lang['maximum width'] = 'Anchura máxima';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepasó el tiempo de ejecución, el tratamiento debe continuar [Tiempo estimado: %d segundos].';
-$lang['Prepared time for list of users to send email is limited. Others users are not listed.'] = 'El tiempo que tarda en preparase la lista de destinatarios es limitado. No se muestran más usuaros.';
-$lang['Time to send email is limited. Others emails are skipped.'] = 'El tiempo destinado a enviar emails es limitado. No se ha realizado el resto de envíos.';
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo que tarda en preparase la lista de destinatarios es limitado. No se muestran más usuaros.';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'El tiempo destinado a enviar emails es limitado. No se ha realizado el resto de envíos.';
 $lang['To send ?'] = '¿Enviar?';
 $lang['Last send'] = 'Último envío';
-$lang['mail'] = 'Email';
+$lang['email'] = 'Email';
 $lang['User'] = 'Usuario';
 $lang['Complementary mail content'] = 'Contenido ampliado del email';
@@ -253,5 +253,5 @@
 $lang['and'] = ' y él ';
 $lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'El webmaster le ha inscrito par recibir notificaciones por email.';
-$lang['You have subscribed to receiving notifications by email.'] = 'Acaba de inscribirse para recibir notificaciones por email.';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Acaba de inscribirse para recibir notificaciones por email.';
 $lang['To subscribe'] = 'Para inscribirse';
 $lang['If you encounter problems or have any question, please send a message to'] = 'Si encuentra algún problema o desea plantear cualquier cuestión, se ruega comunique vía email a ';
@@ -263,6 +263,6 @@
 $lang['With blank value, gallery title will be used'] = 'Si no establece ningún valor, se utilizará el título de la galería';
 $lang['Notification'] = 'Notificación';
-$lang['Error when sending mail to %s [%s].'] = 'Error en el proceso de envío de email a %s [%s].';
-$lang['mail sent to %s [%s].'] = 'Email enviado a %s [%s].';
+$lang['Error when sending email to %s [%s].'] = 'Error en el proceso de envío de email a %s [%s].';
+$lang['Mail sent to %s [%s].'] = 'Email enviado a %s [%s].';
 $lang['%d mail was sent.'] = '%s email ha sido enviado.';
 $lang['%d mails were sent.'] = '%s emails han sido enviados.';
@@ -279,5 +279,4 @@
 $lang['Parameter'] = 'Parámetros';
 $lang['Continue processing treatment'] = 'Continuar el proceso en curso...';
-$lang['Complementary email content'] = 'Contenido ampliado del email';
 $lang['Add detailed content'] = 'Añadir contenido ampliado';
 $lang['Send mail as'] = 'Enviar email como';
@@ -442,5 +441,5 @@
 $lang['Save page visits by users'] = 'Registrar las páginas visitadas por los usuarios';
 $lang['Save page visits by administrators'] = 'Registrar las páginas visitadas por los administradores';
-$lang['An information mail was sent to group "%s"'] = 'Se ha enviado un email informativo a los miembros del grupo "%s"';
+$lang['An information email was sent to group "%s"'] = 'Se ha enviado un email informativo a los miembros del grupo "%s"';
 $lang['Send an information email to group members'] = 'Enviar un email informativo a los miembros del grupo';
 $lang['Group'] = 'Grupo';
@@ -581,7 +580,6 @@
 $lang['Released on'] = 'Añadido';
 $lang['Number of downloads'] = 'Número de descargas';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive mails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few mails a year.'] = 'Quédese en contacto con el proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-email cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior sobrevengá sobre el proyecto. Solamente algunos mensajes al año.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Quédese en contacto con el proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-email cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior sobrevengá sobre el proyecto. Solamente algunos mensajes al año.';
 $lang['Subscribe %s'] = 'Suscribir la newsletter inglesa %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Suscribir %s a la newsletter Piwigo';
@@ -734,5 +732,5 @@
 $lang['automatic order'] = 'automático';
 $lang['manual order'] = 'el establecido aquí manualmente';
-$lang['Albums automátically sorted'] = 'Las categorías han sido clasificadas automáticamente';
+$lang['Albums automatically sorted'] = 'Las categorías han sido clasificadas automáticamente';
 $lang['Keep high definition'] = 'Guardar en alta definición';
 $lang['The high definition maximum width must be a number between %d and %d'] = 'La anchura máxima para alta definición debe especificarse mediante un número entre %d et %d';
@@ -771,5 +769,5 @@
 $lang['with no album'] = 'sin álbum';
 $lang['with no tag'] = 'sin etiqueta';
-$lang['Álbum photos associated to the following albums: %s'] = 'Las fotografías del álbum se han asociado con los álbumes sigientes: %s';
+$lang['Album photos associated to the following albums: %s'] = 'Las fotografías del álbum se han asociado con los álbumes sigientes: %s';
 $lang['Delete orphan tags'] = 'Eliminar las etiquetas huérfanas ';
 $lang['delete photo'] = 'Eliminar la fotografía';
@@ -786,3 +784,8 @@
 $lang['Visit language site'] = 'Visita el sitio web del idioma';
 $lang['New Version'] = 'Nueva versión';
+$lang['Obsolete Plugins'] = 'Estos plugins son pbsoletos';
+$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'ADVERTENCIA! Este plugin no parece ser compatible con esta versión de Piwigo.';
+$lang['Do you want to activate anyway?'] = '¿Quiere activarlo de todos modos?';
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'ESTE PLUGIN ES AHORA PARTE DEL CORE DE PIWIGO! PUEDE DESINSTALARLO AHORA! ';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: Este plugin FALTA PERO ESTÁ INSTALADO! DESINSTALAR YA!.';
 ?>