Index: /extensions/Metal/icon/index.php
===================================================================
--- /extensions/Metal/icon/index.php	(revision 11171)
+++ /extensions/Metal/icon/index.php	(revision 11172)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/Metal/index.php
===================================================================
--- /extensions/Metal/index.php	(revision 11171)
+++ /extensions/Metal/index.php	(revision 11172)
@@ -1,66 +1,33 @@
 <?php
-
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
 // +-----------------------------------------------------------------------+
 
-// | PhpWebGallery - a PHP based picture gallery                           |
-
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-
-// +-----------------------------------------------------------------------+
-
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-
-// | last modifier : $Author: rub $
-
-// | revision      : $Revision: 1912 $
-
-// +-----------------------------------------------------------------------+
-
-// | This program is free software; you can redistribute it and/or modify  |
-
-// | it under the terms of the GNU General Public License as published by  |
-
-// | the Free Software Foundation                                          |
-
-// |                                                                       |
-
-// | This program is distributed in the hope that it will be useful, but   |
-
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-
-// | General Public License for more details.                              |
-
-// |                                                                       |
-
-// | You should have received a copy of the GNU General Public License     |
-
-// | along with this program; if not, write to the Free Software           |
-
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-
-// | USA.                                                                  |
-
-// +-----------------------------------------------------------------------+
-
-
-
 // Recursive call
-
 $url = '../';
-
 header( 'Request-URI: '.$url );
-
 header( 'Content-Location: '.$url );
-
 header( 'Location: '.$url );
-
 exit();
-
 ?>
-
Index: /extensions/Metal/pem_metadata.txt
===================================================================
--- /extensions/Metal/pem_metadata.txt	(revision 11171)
+++ /extensions/Metal/pem_metadata.txt	(revision 11172)
Index: /extensions/Metal/theme.css
===================================================================
--- /extensions/Metal/theme.css	(revision 11171)
+++ /extensions/Metal/theme.css	(revision 11172)
@@ -11,5 +11,4 @@
 ----------------------------------------------------------------------------- */
 
-
 /* text color */
 BODY, H1, H3, DT,
Index: /extensions/Metal/themeconf.inc.php
===================================================================
--- /extensions/Metal/themeconf.inc.php	(revision 11171)
+++ /extensions/Metal/themeconf.inc.php	(revision 11172)
@@ -1,28 +1,16 @@
 <?php
+/*
+Theme Name: Metal
+Version: auto 
+URI: http://piwigo.org/ext/extension_view.php?eid=553
 
-/*
-
-Theme Name: Metal
-
-Version: auto
-Theme URI: http://piwigo.org/ext/extension_view.php?eid=553
 Author: Sixpo
-
 Author URI: 
-
 */
 
-
-
 $themeconf = array(
-
   'theme' => 'Metal',
-
   'parent' => 'default',
-
   'icon_dir' => 'themes/Metal/icon',
-
 );
-
 ?>
-