Index: extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'mit HD';
 $lang['without HD'] = 'ohne HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'with HD';
 $lang['without HD'] = 'without HD';
+$lang['with author'] = 'with author';
+$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'avec HD';
 $lang['without HD'] = 'sans HD';
+$lang['with author'] = 'avec auteur';
+$lang['without author'] = 'sans auteur';
 
 ?>
Index: extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'con HD';
 $lang['without HD'] = 'senza HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'ar HD';
 $lang['without HD'] = 'bez HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php	(revision 11210)
@@ -3,5 +3,7 @@
 $lang['with tags'] = 'z tagami';
 $lang['with HD'] = 'z HD';
-$lang['without HD'] = 'bez HD'; 
+$lang['without HD'] = 'bez HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'с HD';
 $lang['without HD'] = 'без HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 's HD';
 $lang['without HD'] = 'bez HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php	(revision 11033)
+++ extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php	(revision 11210)
@@ -4,4 +4,6 @@
 $lang['with HD'] = 'med HD';
 $lang['without HD'] = 'utan HD';
+/*TODO*/$lang['with author'] = 'with author';
+/*TODO*/$lang['without author'] = 'without author';
 
 ?>
Index: extensions/batch_manager_prefilters/main.inc.php
===================================================================
--- extensions/batch_manager_prefilters/main.inc.php	(revision 11033)
+++ extensions/batch_manager_prefilters/main.inc.php	(revision 11210)
@@ -13,4 +13,5 @@
 add_event_handler('get_batch_manager_prefilters', 'add_bmp');
 add_event_handler('perform_batch_manager_prefilters', 'perform_bmp', 50, 2);
+add_event_handler('element_set_global_action', 'element_set_global_action_bmp');
 
 function add_bmp($prefilters)
@@ -21,5 +22,7 @@
     array('ID' => 'with tags', 'NAME' => l10n('with tags')),
     array('ID' => 'with HD', 'NAME' => l10n('with HD')),
-    array('ID' => 'without HD', 'NAME' => l10n('without HD'))
+    array('ID' => 'without HD', 'NAME' => l10n('without HD')),
+    array('ID' => 'with author', 'NAME' => l10n('with author')),
+    array('ID' => 'without author', 'NAME' => l10n('without author'))
   );
 
@@ -47,6 +50,28 @@
   }
 
+  if ('with author' == $prefilter)
+  {
+    $query = 'SELECT id FROM '.IMAGES_TABLE.' WHERE author IS NOT NULL;';
+    array_push($filter_sets, array_from_query($query, 'id'));
+  }
+
+  if ('without author' == $prefilter)
+  {
+    $query = 'SELECT id FROM '.IMAGES_TABLE.' WHERE author IS NULL;';
+    array_push($filter_sets, array_from_query($query, 'id'));
+  }
+
   return $filter_sets;
 }
 
+function element_set_global_action_bmp($action)
+{
+  if (($_SESSION['bulk_manager_filter']['prefilter'] == 'with tags' and in_array($action, array('add_tags', 'del_tags')))
+    or (in_array($_SESSION['bulk_manager_filter']['prefilter'], array('with author', 'without author')) and $action == 'author'))
+  {
+    // let's refresh the page because we the current set might be modified
+    redirect(get_root_url().'admin.php?page='.$_GET['page']);
+  }
+}
+
 ?>