Index: /extensions/PersoFooter/admin/admin.php
===================================================================
--- /extensions/PersoFooter/admin/admin.php	(revision 11216)
+++ /extensions/PersoFooter/admin/admin.php	(revision 11216)
@@ -0,0 +1,86 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $template, $conf, $user;
+include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
+load_language('plugin.lang', PFT_PATH);
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
+
+// +-----------------------------------------------------------------------+
+// | Check Access and exit when user status is not ok                      |
+// +-----------------------------------------------------------------------+
+check_status(ACCESS_ADMINISTRATOR);
+
+//-------------------------------------------------------- sections definitions
+
+// Gestion des onglets
+if (!isset($_GET['tab']))
+    $page['tab'] = 'gest';
+else
+    $page['tab'] = $_GET['tab'];
+
+$tabsheet = new tabsheet();
+$tabsheet->add('gest',
+               l10n('pft_tab_gest'),
+               $my_base_url.'&amp;tab=gest');
+$tabsheet->add('help',
+               l10n('pft_tab_help'),
+               $my_base_url.'&amp;tab=help');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// Onglet gest
+switch ($page['tab'])
+{
+  case 'gest':
+
+//charge Perso About
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoFooter"
+	;';
+$result = pwg_query($query);
+
+$row = mysql_fetch_array($result);
+    
+  $template->assign(
+    'gestA',
+    array(
+      'PFTBASE' => $row['value'],
+      ));
+
+
+//insértion de meta dans la table
+if (isset($_POST['submitpft']))
+	{
+	$query = '
+UPDATE ' . CONFIG_TABLE . '
+  SET value= \''.$_POST['perso_footer'].'\'
+  WHERE param = "persoFooter"
+    ;';
+$result = pwg_query($query);
+
+  $template->assign(
+    'gestA',
+    array(
+      'PFTBASE' => stripslashes($_POST['perso_footer']),
+      ));
+
+	}
+
+    break;
+
+// Tab help
+  case 'help':
+$template->assign(
+    'gestB',
+	array(
+	  'meta'=>l10n('meta_name'),
+	  ));
+	break;
+	
+} 
+
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/PersoFooter/admin/admin.tpl
===================================================================
--- /extensions/PersoFooter/admin/admin.tpl	(revision 11216)
+++ /extensions/PersoFooter/admin/admin.tpl	(revision 11216)
@@ -0,0 +1,30 @@
+<div class="titrePage">
+  <h2>{'pft_h2'|@translate}</h2>
+</div>
+<div id="configContent">
+{if isset ($gestA)}
+	<form method="post" >
+	 <fieldset id="mainConf">
+			<span class="property">
+				<label for="pftperso">{'pft_perso'|@translate}</label>
+			</span>
+			<textarea rows="5" cols="50" class="description" name="perso_footer" id="perso_footer">{$gestA.PFTBASE}</textarea>
+  <p>
+    <input class="submit" type="submit" name="submitpft" value="{'Submit'|@translate}">
+    <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
+  </p>
+  	</form>
+{/if}
+
+{if isset ($gestB)}
+	<div class="comment">
+		<h3>{'pft_css'|@translate}</h3>
+			{'pft_css_help'|@translate}
+	</div>
+	<br>
+	<div class="comment">
+		<h3>{'pft_ED'|@translate}</h3>
+			{'pft_ED_help'|@translate}
+	</div>
+{/if}
+</div>
Index: /extensions/PersoFooter/admin/index.php
===================================================================
--- /extensions/PersoFooter/admin/index.php	(revision 11216)
+++ /extensions/PersoFooter/admin/index.php	(revision 11216)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFooter/index.php
===================================================================
--- /extensions/PersoFooter/index.php	(revision 11216)
+++ /extensions/PersoFooter/index.php	(revision 11216)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFooter/language/en_UK/description.txt
===================================================================
--- /extensions/PersoFooter/language/en_UK/description.txt	(revision 11216)
+++ /extensions/PersoFooter/language/en_UK/description.txt	(revision 11216)
@@ -0,0 +1,1 @@
+Add personal information in the footer
Index: /extensions/PersoFooter/language/en_UK/index.php
===================================================================
--- /extensions/PersoFooter/language/en_UK/index.php	(revision 11216)
+++ /extensions/PersoFooter/language/en_UK/index.php	(revision 11216)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFooter/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/PersoFooter/language/en_UK/plugin.lang.php	(revision 11216)
+++ /extensions/PersoFooter/language/en_UK/plugin.lang.php	(revision 11216)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['pft_h2'] = 'Personal Footer';
+
+//Tab gest
+$lang['pft_tab_gest'] = 'Gestion';
+$lang['pft_perso'] = 'footer perso';
+
+//Tab help
+$lang['pft_tab_help'] = 'Help';
+$lang['pft_css'] = 'Customizing footer';
+$lang['pft_css_help'] = 'Your personal block is in tag < span id="persofooter" >, you can use this ID in your theme or local file to customize your personal block';
+$lang['pft_ED'] = 'Plugin "ExtendedDescription"';
+$lang['pft_ED_help'] = 'You can use the tags [lang] of this plugin';
+
+
+?>
Index: /extensions/PersoFooter/language/fr_FR/description.txt
===================================================================
--- /extensions/PersoFooter/language/fr_FR/description.txt	(revision 11216)
+++ /extensions/PersoFooter/language/fr_FR/description.txt	(revision 11216)
@@ -0,0 +1,1 @@
+Ajout des informations personnelles dans le footer
Index: /extensions/PersoFooter/language/fr_FR/index.php
===================================================================
--- /extensions/PersoFooter/language/fr_FR/index.php	(revision 11216)
+++ /extensions/PersoFooter/language/fr_FR/index.php	(revision 11216)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFooter/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/PersoFooter/language/fr_FR/plugin.lang.php	(revision 11216)
+++ /extensions/PersoFooter/language/fr_FR/plugin.lang.php	(revision 11216)
@@ -0,0 +1,15 @@
+<?php
+$lang['pft_h2'] = 'Personal Footer';
+
+//Tab gest
+$lang['pft_tab_gest'] = 'Gestion';
+$lang['pft_perso'] = 'A propos perso';
+
+//Tab help
+$lang['pft_tab_help'] = 'Aide';
+$lang['pft_css'] = 'Personnalisation du pied de page';
+$lang['pft_css_help'] = 'Votre pied de page perso est dans un < span id="persofooter" >, vous pouvez donc utiliser cette ID dans votre thème ou en fichier local pour personaliser votre bloc perso';
+$lang['pft_ED'] = 'Plugin "ExtendedDescription"';
+$lang['pft_ED_help'] = 'Vous pouvez utiliser les balises [lang] de ce plugin';
+
+?>
Index: /extensions/PersoFooter/language/index.php
===================================================================
--- /extensions/PersoFooter/language/index.php	(revision 11216)
+++ /extensions/PersoFooter/language/index.php	(revision 11216)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFooter/main.inc.php
===================================================================
--- /extensions/PersoFooter/main.inc.php	(revision 11216)
+++ /extensions/PersoFooter/main.inc.php	(revision 11216)
@@ -0,0 +1,55 @@
+<?php
+/*
+Plugin Name: Perso Footer
+Version: auto
+Description: Add information in the footer
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=554
+Author: ddtddt
+Author URI: http://piwigo.org/
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('PFT_DIR' , basename(dirname(__FILE__)));
+define('PFT_PATH' , PHPWG_PLUGINS_PATH . PFT_DIR . '/');
+
+add_event_handler('get_admin_plugin_menu_links', 'PFT_admin_menu');
+function PFT_admin_menu($menu)
+{
+  array_push($menu, array(
+	'NAME' => 'Perso Footer',
+    'URL' => get_admin_plugin_menu_link(PFT_PATH . 'admin/admin.php')));
+  return $menu;
+}
+
+  add_event_handler('loc_end_page_tail', 'pft');
+
+
+function pft()
+ {
+   if ((script_basename() != 'admin'))
+  {
+	global $template;
+	
+	$PAED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
+if($PAED['state'] == 'active') add_event_handler('AP_render_content', 'get_user_language_desc');
+
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoFooter"
+	;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$pat=trigger_event('AP_render_content', $row['value']);
+		 if (!empty($pat))
+			{
+				$template->assign('PERSO_FOOTER2', $pat);
+			}
+			
+	$template->set_filename('PERSO_FOOTER', realpath(PFT_PATH.'persofooter.tpl'));	
+	$template->append('footer_elements', $template->parse('PERSO_FOOTER', true));
+			
+	}
+ }
+?>
Index: /extensions/PersoFooter/maintain.inc.php
===================================================================
--- /extensions/PersoFooter/maintain.inc.php	(revision 11216)
+++ /extensions/PersoFooter/maintain.inc.php	(revision 11216)
@@ -0,0 +1,21 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+function plugin_install()
+{
+    
+	
+	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoFooter","","html displayed on the footer page of your galler...");';
+    pwg_query($query);
+
+}
+
+function plugin_uninstall()
+{
+	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="persoFooter" LIMIT 1;';
+    pwg_query($q);
+}
+
+
+?>
Index: /extensions/PersoFooter/persofooter.tpl
===================================================================
--- /extensions/PersoFooter/persofooter.tpl	(revision 11216)
+++ /extensions/PersoFooter/persofooter.tpl	(revision 11216)
@@ -0,0 +1,3 @@
+<span id="persofooter">
+{$PERSO_FOOTER2}
+</span>