Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 11234)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 11235)
@@ -564,5 +564,5 @@
 $lang['ranks'] = 'Rangok';
 $lang['Drag to re-order'] = 'Húzással átrendezheti';
-$lang['Quick Local Synchronization'] = 'Helyi szinkronizálás';
+$lang['Quick Local Synchronization'] = 'Szinkronizálás';
 $lang['No photo can be deleted'] = 'Nincs törölhető kép';
 $lang['Delete selected photos'] = 'Kijelölt képek törlése';
@@ -794,3 +794,51 @@
 $lang['Searching...'] = 'Keresés...';
 $lang['Type in a search term'] = 'Írd be a keresett kifejezést';
+// missing translations
+$lang['Compact'] = 'Kompakt';
+$lang['Complete'] = 'Részletes';
+$lang['Deactivate all'] = 'Összes kikapcsolása';
+$lang['Restore'] = 'Visszaállítás';
+$lang['Restore default configuration. You will lost your plugin settings!'] = 'Alapértelmezett beállítások visszaállítása. Figyelem, a bővítmény módosításai elvesznek!';
+$lang['Restore default configuration. You will lost all your settings !'] = 'Alapértelmezett beállítások visszaállítása. Figyelem, a módosítások elvesznek!';
+$lang['Show menubar'] = 'Menüsáv megjelenítése';
+$lang['Regenerate Websize Photos'] = 'Web méretű képek újragenerálása';
+$lang['Photos generation in progress...'] = 'Képek újragenerálása folyamatban...';
+$lang['%s photos have been regenerated'] = '%s kép újragenerálva';
+$lang['%s photos can not be regenerated'] = '%s képet nem lehet újragenerálni';
+$lang['Only photos with HD can be regenerated!'] = 'Csak HD képeket lehet újragenerálni!';
+$lang['Updates'] = 'Frissítések';
+$lang['Update in progress... Please wait.'] = 'Frissítés folyamatban... Kérem várjon.';
+$lang['Ignore this update'] = 'Hagyja figyelmen kívül';
+$lang['Reset ignored updates'] = 'Mellőzés törlése';
+$lang['Update All'] = 'Összes frissítése';
+$lang['ERROR'] = 'HIBA';
+$lang['Update Complete'] = 'Frissítés kész';
+$lang['Piwigo Update'] = 'Piwigo frissítés';
+$lang['Extensions Update'] = 'Bővítmény frissítés';
+$lang['All extensions are up to date.'] = 'Az összes bővítmény naprakész.';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'A következő bővítmények nem kompatibilisek az új Piwigo verzióval:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'A következő témák nem kompatibilisek az új Piwigo verzióval:';
+$lang['I decide to update anyway'] = 'Határozhat úgy, hogy frissít mindenképp';
+$lang['Update to Piwigo %s'] = 'Frissítés a Piwigo %s verziójára';
+$lang['Two updates are available'] = 'Kétféle frissítés érhető el';
+$lang['This is a minor update, with only bug corrections.'] = 'Egy kisebb frissítés, kizárólag hibajavítás.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Egy jelentős frissítés, <a href="%s">új, kibővített funkciókkal</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Lehet, hogy néhány téma és bővítmény még nem áll rendelkezésre.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Lehetőség van közvetlenül frissíteni a Piwigo %s verziójára, kihagyva a Piwigo %s verzióját (ajánlott).';
+$lang['Save Template Directory'] = 'Template könyvtár mentése';
+$lang['Dump Database'] = 'Adatbázis mentése';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Előzmények mentése (Figyelem: lehet, hogy a szerver beállított memória limitjét túllépi)';
+$lang['Unable to write new local directory.'] = 'Nem lehet írni az új helyi könyvtárba.';
+$lang['Unable to send template directory.'] = 'Nem lehet adatot küldeni a template könyvtárba.';
+$lang['Unable to dump database.'] = 'Nem lehet biztonsági másolatot készíteni az adatbázisról.';
+$lang['Some upgrades are available for extensions.'] = 'Frissítéseket találtam egyes kiterjesztésekhez.';
+$lang['Ignore All'] = 'Összes mellőzése';
+$lang['Crop'] = 'Körbevágás';
+$lang['Width'] = 'Szélesség';
+$lang['Height'] = 'Magasság';
+$lang['Follow Orientation'] = 'Elforgatható';
+$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'A bélyegképek újragenerálása a <a href="%s">Kötegelt kezelés</a> oldalon lehetséges.';
+$lang['Graphics Library'] = 'Grafikus könyvtár';
+//hiányzó
+$lang['%s has been successfully updated.'] = '%s frissítése sikeres.';
 ?>