Index: /extensions/set_plugins/admin.php
===================================================================
--- /extensions/set_plugins/admin.php	(revision 11248)
+++ /extensions/set_plugins/admin.php	(revision 11249)
@@ -5,59 +5,12 @@
 // Fetch the template.
 global $template;
- $redirect_url = get_root_url().'admin.php?page='.'plugins_list';
+// 
+
+    if (PHPWG_VERSION < 2.3 ) 
+$redirect_url = get_root_url().'admin.php?page='.'plugins_list';
+    else
+ $redirect_url = get_root_url().'admin.php?page='.'plugins';
   redirect($redirect_url);	  
-include_once(SET_PLUGINS_PATH."include/constants.php"); 	   
-include_once(SET_PLUGINS_PATH.'include/affiche.php');
 
-
-include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once (PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-$my_base_url = get_admin_plugin_menu_link(__FILE__);
-
-$tabsheet = new tabsheet();
-$tabsheet->add( 'set_plugins_admin',
-                l10n('admin'),
-                $my_base_url.'&amp;tab=set_plugins_admin'
-			   );
- /*	
-$tabsheet->add( 'set_plugins_help',
-                l10n('help'),
-                $my_base_url.'&amp;tab=set_plugins_help'
-			   );
-			   
-	*/	   
-			   
-	if (!isset($_GET['tab']))
-	   $page['tab'] = 'set_plugins_admin';
-else
-       $page['tab'] = $_GET['tab'];	
-	   
- 		   
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-//======================================================================
-// Add our template to the global template
-$template->set_filenames(
-  array(
-    'plugin' => dirname(__FILE__).'/admin.tpl'
-  )         
-);
-
-//===============================================================================
- if(isset($activate)){
-                    $template->assign( array(  
-                        'U_ACTION' => $activate
-											)
-									);	
-
-                  }
-
-                    $page['tab'] = 'plugins_list';
-
-           //       "admin.php?page=plugins_list"
-
-
-// Assign the template contents to ADMIN_CONTENT
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin');   
 
 
Index: /extensions/set_plugins/admin.tpl
===================================================================
--- /extensions/set_plugins/admin.tpl	(revision 11248)
+++ /extensions/set_plugins/admin.tpl	(revision 11249)
@@ -1,33 +1,41 @@
+ {footer_script } 
 <!-- Show the title of the plugin -->
-<div class="titlePage">
-  <h2>{'set_plugins'|@translate} {'Version'|@translate} {$cl_version}</h2>
-</div>
-<fieldset>
-  <legend>{'command'|@translate}</legend>
-  <form action="{$action}" method="post" name="form_set_plugins" id="form_set_plugins"> 
-<input name="unset_plugins" type="submit" value="{'Deactivate'|@translate}" />
-<input name="set_plugins" type="submit" value="{'Activate'|@translate}" />
-<input name="nb" type="text" value="{$nb}" /> 
-  </form>
+{combine_script id="field_set" load="footer" path=$SET_PLUGINS_PATH|@cat:"js/field_set.js" require="jquery"}
 
+  {/footer_script}
 
-
+<script type="text/javascript">
 {if isset($liste_plugins)}
-
+ var no_affiche = true;
+{else}
+ var no_affiche = false;
+ {/if}
+</script> 
+<div>   
+{if isset($liste_plugins)}
 {foreach from=$plugin_states item=plugin_state}
 {if $plugin_state==$state}
+</div> 
+<fieldset >
+    <legend>    
+    {if $plugin_state == 'active'} {'Last '|@translate} {'Active Plugins'|@translate}
+    {elseif $plugin_state == 'inactive'} {'Last '|@translate} {'Inactive Plugins'|@translate}
+    {/if}
 
-  <fieldset>
-    <legend>
-      {if $plugin_state == 'active'} {'Last '|@translate} {'Active Plugins'|@translate}
-      {elseif $plugin_state == 'inactive'} {'Last '|@translate} {'Inactive Plugins'|@translate}
-      {/if}
     </legend>
+  <form action="{$action}" method="post" name="form_set_plugins" id="form_set_plugins"> 
+    <input name="unset_plugins" type="submit" value="{'Deactivate'|@translate}" />
+    <input name="set_plugins" type="submit" value="{'Activate'|@translate}" />
+    <input name="nb" type="text" value="{$nb}" />
+    </form>
+  <p>
+</p>
     {foreach from=$liste_plugins item=plugin name=plugins_loop}
       {if $plugin.STATE == $plugin_state}
+
     <div class="pluginBox">
       <table>
         <tr>
-          <td class="pluginBoxNameCell{if $plugin.INCOMPATIBLE} warning" title="{'WARNING! This plugin does not seem to be compatible with this version of Piwigo.'|@translate|@escape:'html'}{/if}">
+          <td name="plugins_name" class="pluginBoxNameCell{if $plugin.INCOMPATIBLE} warning" title="{'WARNING! This plugin does not seem to be compatible with this version of Piwigo.'|@translate|@escape:'html'}{/if}">
             {$plugin.NAME}
           </td>
@@ -43,13 +51,5 @@
             | <a href="{$plugin.U_ACTION}&amp;action=uninstall" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Uninstall'|@translate}</a>
 
-      {elseif $plugin_state == 'uninstalled'}
-            <a href="{$plugin.U_ACTION}&amp;action=install">{'Install'|@translate}</a>
-            | <a href="{$plugin.U_ACTION}&amp;action=delete" onclick="return confirm('{'Are you sure you want to delete this plugin?'|@translate|@escape:'javascript'}');">{'Delete'|@translate}</a>
 
-      {elseif $plugin_state == 'missing'}
-            <a href="{$plugin.U_ACTION}&amp;action=uninstall" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Uninstall'|@translate}</a>
-
-      {elseif $plugin_state == 'merged'}
-            <a href="{$plugin.U_ACTION}&amp;action=delete">{'Delete'|@translate}</a>
       {/if}
           </td>
@@ -72,4 +72,5 @@
       </table>
     </div>
+   
       {/if}
     {/foreach}
@@ -80,3 +81,2 @@
 {/if}
 
-</fieldset>
Index: /extensions/set_plugins/include/affiche.php
===================================================================
--- /extensions/set_plugins/include/affiche.php	(revision 11248)
+++ /extensions/set_plugins/include/affiche.php	(revision 11249)
@@ -18,7 +18,7 @@
 
 $set=isset($_POST['set'])?$_POST['set']:"true";
+ $list="test1,test2,test2";
 
-
-  $template->assign( array( 
+  $template->assign( array( 'list'=>$list,
                    'nb' => isset($_POST['nb'])?$_POST['nb']:$nb,
                    'state' => $state ,
@@ -27,5 +27,6 @@
                         'cl_version' => $cl_set_plugins_plugin['version'] ,
                         'name' => $cl_set_plugins_plugin['name'] ,
-                        'Version_pwg' => PHPWG_VERSION
+                        'Version_pwg' => PHPWG_VERSION,
+                        'SET_PLUGINS_PATH' => SET_PLUGINS_PATH
 											)
 									);	         
@@ -41,16 +42,16 @@
             $action_url = $base_url.'&amp;plugin='.'%s'.'&amp;pwg_token='.get_pwg_token();
  //=======================================================
+$liste_plugins = array();
 
-
-
-$liste_plugins = array();
 foreach($liste as $liste_id => $liste_plugin) {
     $liste_plugins[]=   $liste_plugin['plugin'] ;
 }
 
+
+
 $liste_tpl=array();
 //==========================================================
-foreach($plugins->fs_plugins as $plugin_id => $fs_plugin) {
-     
+foreach($plugins->fs_plugins as $plugin_id => $fs_plugin) {   
+//==== test si $plugin_id fait partie de $liste_plugins ==============  
     $key = array_search($plugin_id, $liste_plugins,false); 
 
@@ -77,5 +78,6 @@
         $tpl_plugin['STATE'] = 'uninstalled';
       }
-
+    
+     if(isset($_SESSION['merged_extensions']))
       if (isset($fs_plugin['extension']) and in_array($fs_plugin['extension'], $_SESSION['merged_extensions']))
       {
Index: /extensions/set_plugins/js/field_set.js
===================================================================
--- /extensions/set_plugins/js/field_set.js	(revision 11249)
+++ /extensions/set_plugins/js/field_set.js	(revision 11249)
@@ -0,0 +1,76 @@
+
+
+
+jQuery(document).ready(function () {
+  if (jQuery("fieldset").length >= 1) {
+    jQuery("div .titrePage h2").remove();
+
+    jQuery("fieldset").each(
+              function (i) {
+                id0 = jQuery(this).attr("id");
+                if (id0 == "") jQuery(this).attr("id", "fieldset_" + i);
+                if (!jQuery(this).hasClass("field_set"))
+                  jQuery(this).addClass("field_set");
+                if (i > 0)
+                  jQuery(this).height(0);
+                else
+                  jQuery(this).addClass("visible");
+                jQuery("#" + this.id + ' legend').css('cursor', 'pointer');
+                id0 = jQuery(this).attr("id");
+
+                jQuery("#" + this.id + ' legend').click(function (event) {
+                  n = jQuery(this).parent().hasClass("visible");
+
+                  if (n) {
+                    jQuery(this).parent().height(0);
+                    jQuery(this).parent().removeClass("visible");
+                  }
+                  else {
+                    jQuery(this).parent().css("height", "auto");
+                    jQuery(this).parent().addClass("visible");
+                  }
+                });
+              })
+
+  }
+
+
+
+  jQuery(document).ready(function () {
+    if (jQuery(".field_set").length >= 1)
+      jQuery(".field_set").each(
+                function (i) {
+
+                  id0 = jQuery(this).attr("id");
+
+
+
+                });
+
+  });
+
+
+
+
+
+
+  jQuery("td a").click(function (event) {
+    l1 = jQuery('td[name="plugins_name"]');
+
+    var reg = new RegExp("[&]", "g");
+    var tableau = event.target.href.split(reg);
+
+
+    if (event.target.nameProp.match(RegExp("deactivate", "g"))) {
+      n = 1;
+    } else if (event.target.nameProp.match(RegExp("activate", "g"))) {
+      n = 0;
+    }
+
+
+
+  })
+})
+
+             
+           
Index: /extensions/set_plugins/main.inc.php
===================================================================
--- /extensions/set_plugins/main.inc.php	(revision 11248)
+++ /extensions/set_plugins/main.inc.php	(revision 11249)
@@ -33,5 +33,9 @@
   global $user, $template, $val,$page,$conf;
   if (!isset($page['body_id'])) return;
+   if (!isset($page['body_id'])) return;
 
+  
+
+  
   switch($page['body_id']){
 	  case  'theAdminPage':     
@@ -43,6 +47,8 @@
           	break;
 
- case 'plugin':	
-
+ case 'plugins':	  
+ if (!isset($page['tab'])) return;
+ if ($page['tab']!="installed") return ; 
+  Affiche_set_plugins();
 
  	break;
@@ -140,5 +146,10 @@
   
  //===========================================================
-              $bpplus=$template->parse('cl_plugin', true);
+ $header_1='<div class="titlePage">
+  <h2>'.l10n("set_plugins").l10n("Version").": ".$cl_set_plugins_plugin['version'] .'</h2>
+';
+
+              $bpplus=$header_1.$template->parse('cl_plugin', true);
+             
               $template-> assign('ADMIN_CONTENT',$bpplus); 
               
@@ -146,4 +157,5 @@
               $template-> concat('ADMIN_CONTENT',$bpplus); 
 
+
 }
 ?>